#ifndef AAALPHABET_H
#define AAALPHABET_H

#include <iostream>
#include <iomanip>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cassert>
#include <string>
#include <stdint.h>
#include <map>
#include <vector>
#include <sstream>
#include <bits/stdc++.h>
#define ALPHABET_MAX_SIZE 128
using namespace std;


class AAAlphabet{
   private:
      vector<char> alphabet;
      vector<string> compressedAlphabet;
      map<char, char> alphabetMapping;
      vector<int> alph2indx;
   
   public:
      AAAlphabet();
      AAAlphabet(string);
      AAAlphabet(vector<string>);
      string operator()(string code, bool);
      char operator()(char code);
      int operator[](char key);
      int operator[](string key);
      string getAlphabet();
      vector<string> getCompressedAlphabet();
      int size();
};

#endif
