#ifndef PARSERCLASS_H
#define PARSERCLASS_H

#include <dirent.h>
#include <string>
#include <sstream>
#include <algorithm>
#include <iterator>
#include <vector>
#include <fstream>
#include <iostream>
#include <map>
#include <bits/stdc++.h>
using namespace std;

class Parser{
private:  
    int nOptions;
    int isOption(const char*);
    void cmdLineHelp();
    void replaceString(string&, const string&, const string&);

public:
    string sstf1 = "data/testdata/d1hhoa_.ent_sst";
    string sstf2 = "data/testdata/d1hbra_.ent_sst";
    string sstalignf = "data/testdata/d1hhoa__vs_d1hbra_-sse.afasta";
    string stralignf = "data/testdata/d1hhoa__vs_d1hbra_.afasta";

    bool fflag = true;
    
    Parser();
    Parser(int, char **);
};

#endif